# RabbitMQ Server

[RabbitMQ](https://rabbitmq.com) is a [feature rich](https://rabbitmq.com/documentation.html), multi-protocol messaging broker. It supports:

 * AMQP 0-9-1
 * STOMP 1.0 through 1.2
 * MQTT 3.1.1
 * AMQP 1.0


## Installation

 * [Installation guides](https://rabbitmq.com/download.html) for various platforms


## Tutorials & Documentation

 * [RabbitMQ tutorials](https://rabbitmq.com/getstarted.html)
 * [Documentation guides](https://rabbitmq.com/documentation.html)
 * [Documentation Source Code](https://github.com/rabbitmq/rabbitmq-website/)
 * [Client libraries and tools](https://rabbitmq.com/devtools.html)
 * [Tutorials Source Code](https://github.com/rabbitmq/rabbitmq-tutorials/)

## Getting Help

 * [RabbitMQ mailing list](https://groups.google.com/forum/#!forum/rabbitmq-users)
 * `#rabbitmq` on Freenode
 * [Commercial RabbitMQ support](https://rabbitmq.com/services.html) from [Pivotal](http://pivotal.io)


## Contributing

See [CONTRIBUTING.md](./CONTRIBUTING.md) and our [development process overview](https://rabbitmq.com/github.html).


## License

RabbitMQ server is [licensed under the MPL](LICENSE-MPL-RabbitMQ).


## Building From Source and Packaging

 * [Building RabbitMQ Server From Source](https://rabbitmq.com/build-server.html)
 * [Building RabbitMQ Server Packages](https://rabbitmq.com/build-server.html)


## Copyright

(c) Pivotal Software Inc., 2007-2017.
